/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package test;

import org.springframework.beans.factory.support.AbstractBeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

/**
 *
 * @author velrajan
 */
public class Main {
    public static void main(String[] arg){
        AbstractBeanFactory fac = new XmlBeanFactory(new ClassPathResource("sayHello.xml"));
        SayHello h = (SayHello) fac.getBean("sayHello");
        h.sayHello();
    }
}
